#!/usr/bin/python
# -*- coding: utf8 -*-
#Skriver detta programmet för att lära mig pygame. Programmet är skrivet av Mikael Freeman och lyder under GPL version 2


import os, sys         #importerar intressanta filer.
import pygame
from pygame.locals import *
from threading import * 
from random import *

def load_image(name, colorkey=None):
    
    try:
        image = pygame.image.load(name)
    except pygame.error, message:
        print 'Cannot load image:', loadname
        raise SystemExit, message
    image = image.convert()
    if colorkey is not None:
        if colorkey is -1:
            colorkey = image.get_at((0,0))
        image.set_colorkey(colorkey, RLEACCEL)
    	image =pygame.transform.scale(image,(20,20))
    return image, image.get_rect()

class Snake(pygame.sprite.Sprite):
    """This is our snake that will move around the screen"""
    
    def __init__(self,startx, starty,egetNummer, bild):
        pygame.sprite.Sprite.__init__(self) 
        self.listanlistan=10
        self.image, self.rect = load_image(bild,-1)
	
	self.hej=10
	self.rect=self.rect.move(startx,starty)
	self.aktuelltNummer=egetNummer                     	#numret man har just nu
	self.egetNummer=egetNummer				#numret som är ens egna
	self.status=1
	
	
        self.x_dist = 5              # Pixlar vid flyttning x-led
        self.y_dist = 5 	     # Pixlar vid flyttning y-led
        
    def move(self, key):
        """Styr figurerna i den riktning du vill"""
        xMove = 0;
        yMove = 0;
	self.xMoves = 0;
	self.yMoves= 0;
	
       
        if (key == K_RIGHT):
            xMove = self.x_dist
	    self.xMoves = 5;
	    
        elif (key == K_LEFT):
            xMove = -self.x_dist
	    self.xMoves = -5;
        elif (key == K_UP):
            yMove = -self.y_dist
	    self.yMoves = -5;
        elif (key == K_DOWN):
            yMove = self.y_dist
	    self.yMoves = 5;
        self.rect = self.rect.move(xMove,yMove)

    def moves(self,tal,tal2):
        """rör dig automatiskt"""
	#if (tal2==2):
	#	self.rect.move_ip(-self.xMoves,-self.yMoves)
	#	print "Här rör"
	self.yMoves=0
	self.xMoves=0
	
		
        if (tal==2):
		self.yMoves=0
		self.xMoves=0
		
		self.listanlistan=randint(1,7)
		if(self.listanlistan==2):
			self.hej=randint(1,4)
			
		
		if(self.hej==1):
		
			#self.rect.move_ip(5,0)
			self.xMoves = 7;
			
		if(self.hej==2):
		
			#self.rect.move_ip(0,-5)
			self.yMoves = -5;
		if(self.hej==3):
		
			#self.rect.move_ip(-5,0)
			self.xMoves = -7;
		if(self.hej==4):
		
			#self.rect.move_ip(0,5)
			self.yMoves = 5;
		#print "this is"+ str(self.xmove)
		
		print self.hej
		self.rect.move_ip(self.xMoves,self.yMoves)

        if (tal2==2):
		self.rect.move_ip(-self.xMoves,-self.yMoves)
		print "Här rör"
		
		

	pygame.time.wait(100)
	
    def trollis(self,tal,tal2):	
	if (tal2==2):
		self.rect.move_ip(-self.xMoves,-self.yMoves)
		print "Här rör"
	self.yMoves=0
	self.xMoves=0	
	
       



class Sprite(pygame.sprite.Sprite):
        
    def __init__(self, image,x=1,y=1):
        pygame.sprite.Sprite.__init__(self) 
        """Set the image and the rect"""
        
        self.image, self.rect = load_image(image)
	self.rect=self.rect.move(x,y)
